Home "CAS Asserts in Security Transparent methods" After upgrading .NET
Reply: 0

"CAS Asserts in Security Transparent methods" After upgrading .NET

Sami.C
1#
Sami.C Published in 2017-11-15 00:25:17Z

I have a web-service which was developed in .NET v2.0 many years ago. We also developed a client tool to connect to these using v2.0.

After updating the IIS application pool to v4.0, the client is seeing an error return from the web-service:

Error Level 1 Source: System.Web.Services Description: System.Web.Services.Protocols.SoapException: Error Level 1 Source: App_Code Description: Data Access Object Initialise Failed!

Error Level 2 Source: mscorlib Description: Cannot perform CAS Asserts in Security Transparent methods

Should .Net 4 be compatible with older code? Is anyone able to provide some insight as to how I might get around this error?

You need to login account before you can post.

About| Privacy statement| Terms of Service| Advertising| Contact us| Help| Sitemap|
Processed in 0.33161 second(s) , Gzip On .

© 2016 Powered by mzan.com design MATCHINFO